=== modified file 'Makefile'
--- Makefile	2008-09-17 00:34:09 +0000
+++ Makefile	2008-09-19 16:29:40 +0000
@@ -151,7 +151,7 @@
 		$(DESTDIR)/etc/init.d/mandos
 	install --mode=u=rw,go=r default-mandos \
 		$(DESTDIR)/etc/default/mandos
-	update-rc.d mandos defaults
+	if [ -z $(DESTDIR) ]; then update-rc.d mandos defaults; fi
 	gzip --best --to-stdout mandos.8 \
 		> $(MANDIR)/man8/mandos.8.gz
 	gzip --best --to-stdout mandos.conf.5 \

=== modified file 'TODO'
--- TODO	2008-09-19 00:00:51 +0000
+++ TODO	2008-09-19 12:02:03 +0000
@@ -64,8 +64,8 @@
    From XML sources directly?
 ** TODO unperish
 ** DONE bzr-builddeb
-** TODO mandos user/group creation
-** TODO Key creation in postinst
+** DONE mandos user/group creation		:test:
+** DONE Key creation in postinst		:test:
 
 * TODO Web site
 ** DONE http://www.fukt.bsnet.se/mandos

=== modified file 'debian/control'
--- debian/control	2008-09-17 00:34:09 +0000
+++ debian/control	2008-09-19 17:30:43 +0000
@@ -2,17 +2,16 @@
 Section: admin
 Priority: extra
 Maintainer: Mandos Maintainers <mandos@fukt.bsnet.se>
-Build-Depends: debhelper (>= 7), docbook-xsl, docbook (<5.0),
-	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc
+Build-Depends: debhelper (>= 7), docbook-xsl, libavahi-core-dev,
+	libgpgme11-dev, libgnutls-dev, xsltproc
 Standards-Version: 3.8.0
 Vcs-Bzr: ftp://anonymous@ftp.fukt.bsnet.se/pub/mandos/latest
 Homepage: http://www.fukt.bsnet.se/mandos
 
 Package: mandos
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.5),
-	python-gnutls, python-dbus, python-avahi, avahi-daemon,
-	gnupg (< 2)
+Depends: python (>=2.5), python-gnutls, python-dbus, python-avahi,
+	avahi-daemon, gnupg (< 2), adduser
 Recommends: fping
 Description: a server giving encrypted passwords to Mandos clients
  This is the server part of the Mandos system, which allows
@@ -31,7 +30,7 @@
 
 Package: mandos-client
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, adduser
 Enhances: cryptsetup
 Description: do unattended reboots with an encrypted root file system
  This is the client part of the Mandos system, which allows

=== added file 'debian/mandos-client.docs'
--- debian/mandos-client.docs	1970-01-01 00:00:00 +0000
+++ debian/mandos-client.docs	2008-09-19 13:50:22 +0000
@@ -0,0 +1,2 @@
+README
+TODO

=== added file 'debian/mandos-client.links'
--- debian/mandos-client.links	1970-01-01 00:00:00 +0000
+++ debian/mandos-client.links	2008-09-19 13:50:22 +0000
@@ -0,0 +1,1 @@
+usr/share/man/man8/plugin-runner.8mandos.gz usr/share/man/man5/plugin-runner.conf.5mandos.gz

=== modified file 'debian/mandos-client.postinst'
--- debian/mandos-client.postinst	2008-09-17 00:34:09 +0000
+++ debian/mandos-client.postinst	2008-09-19 17:30:43 +0000
@@ -17,19 +17,40 @@
 
 . /usr/share/debconf/confmodule
 
-# Update the initramfs
+# Update the initial RAM file system image
 update_initramfs()
 {
-	if which update-initramfs >/dev/null 2>&1; then
-		update-initramfs -u
-	fi
+    if [ -x /usr/sbin/update-initramfs ]; then
+	update-initramfs -u -k all
+    fi
+}
+
+# Add user and group
+add_mandos_user(){
+    if ! getent passwd mandos >/dev/null; then
+	adduser --disabled-password  --quiet --system \
+	    --home /var/run/mandos --no-create-home \
+	    --gecos "Mandos password system" --group mandos
+    fi
+}
+
+# Create client key pair
+create_key(){
+    if [ -r /etc/keys/mandos/pubkey.txt \
+	-a -r /etc/keys/mandos/seckey.txt ]; then
+	return 0
+    fi
+    if [ -x /usr/sbin/mandos-keygen ]; then
+	mandos-keygen
+    fi
 }
 
 case "$1" in
     configure)
+	add_mandos_user
+	create_key
 	update_initramfs
 	;;
-
     abort-upgrade|abort-deconfigure|abort-remove)
 	;;
 

=== modified file 'debian/mandos-client.postrm'
--- debian/mandos-client.postrm	2008-09-19 00:00:51 +0000
+++ debian/mandos-client.postrm	2008-09-19 17:30:43 +0000
@@ -27,15 +27,14 @@
 #       <new-postrm> abort-upgrade <old-version>
 
 
-# Update the initramfs
+# Update the initial RAM file system image
 update_initramfs()
 {
-	if type update-initramfs >/dev/null 2>&1 ; then
-		update-initramfs -u -k all
-	fi
+    if [ -x /usr/sbin/update-initramfs ]; then
+	update-initramfs -u -k all
+    fi
 }
 
-
 case "$1" in
     remove)
 	update_initramfs
@@ -46,7 +45,6 @@
 	rm --force /etc/mandos/plugin-runner.conf \
 	    /etc/keys/mandos/pubkey.txt \
 	    /etc/keys/mandos/seckey.txt
-	rmdir /etc/keys/mandos /etc/mandos/plugins.d /etc/mandos || :
 	;;
     upgrade|failed-upgrade|disappear|abort-install|abort-upgrade)
 	;;

=== added file 'debian/mandos.docs'
--- debian/mandos.docs	1970-01-01 00:00:00 +0000
+++ debian/mandos.docs	2008-09-19 13:50:22 +0000
@@ -0,0 +1,2 @@
+README
+TODO

=== modified file 'debian/mandos.postinst'
--- debian/mandos.postinst	2008-09-19 00:54:24 +0000
+++ debian/mandos.postinst	2008-09-19 17:30:43 +0000
@@ -22,7 +22,7 @@
 	if ! getent passwd mandos >/dev/null; then
 	    adduser --disabled-password  --quiet --system \
 		--home /var/run/mandos --no-create-home \
-		--gecos "Mandos password daemon" --group mandos
+		--gecos "Mandos password system" --group mandos
 	fi
 	;;
 

=== removed file 'debian/mandos.postrm'
--- debian/mandos.postrm	2008-09-19 00:54:24 +0000
+++ debian/mandos.postrm	1970-01-01 00:00:00 +0000
@@ -1,11 +0,0 @@
-#!/bin/sh
-
-set -e
-
-#DEBHELPER#
-
-if [ "$1" = "purge" ] ; then
-        deluser --quiet --system mandos > /dev/null || true
-        delgroup --quiet --system mandos > /dev/null || true
-fi
-

=== modified file 'debian/rules'
--- debian/rules	2008-09-17 00:34:09 +0000
+++ debian/rules	2008-09-19 13:50:22 +0000
@@ -10,7 +10,7 @@
 # build-arch and build-indep targets  by Bill Allombert 2001
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -18,21 +18,17 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-# Add here commands to configure the package.
 	touch configure-stamp
 
-#Architecture
 build: build-arch build-indep
 
 build-arch: build-arch-stamp
 build-arch-stamp: configure-stamp
-# Add here commands to compile the arch part of the package.
 	dh_auto_build -- all doc
 	touch $@
 
 build-indep: build-indep-stamp
 build-indep-stamp: configure-stamp
-# Add here commands to compile the indep part of the package.
 	dh_auto_build -- doc
 	touch $@
 
@@ -40,7 +36,6 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-arch-stamp build-indep-stamp configure-stamp
-# Add here commands to clean up after the build process.
 	dh_auto_clean
 	dh_clean
 
@@ -50,8 +45,6 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs --indep
-# Add here commands to install the indep part of the package into
-# debian/<package>-doc.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/mandos install-server
 	dh_lintian
 	dh_installinit --onlyscripts --no-start
@@ -62,46 +55,28 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs --same-arch
-
-# Add here commands to install the arch part of the package into
-# debian/tmp.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/mandos-client install-client-nokey
 	dh_lintian
 	dh_install --same-arch
 
-# Must not depend on anything. This is to be called by
-# binary-arch/binary-indep
-# in another 'make' thread.
 binary-common:
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs
-#	dh_installexamples
-#	dh_installmenu
 #	dh_installdebconf
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_pycentral
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
-#	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms --exclude etc/keys/mandos \
 		--exclude etc/mandos/clients.conf \
 		--exclude usr/lib/mandos/plugins.d
-#	dh_perl
-	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
+
 # Build architecture independant packages using the common target.
 binary-indep: build-indep install-indep
 	$(MAKE) -f debian/rules DH_OPTIONS=--indep binary-common

